//
// Added 31/10/2014 9:36:15 AM
//
// for 'momentary both' 1 means depress, 0 means release
//
// Note. 1. We can use the same timer for both up and down as only one can be active at a time
//       2. You need to ensure that the selected timer is not used for other purposes by Genie
//
// this is down
func MagicEvent1(var newval)
    var i ;
    if (newval)                                             // press, need to get things going
        i := img_GetWord(hndl, iLeddigits0, IMAGE_TAG2) ;   // the 'standard' component stores the value in IMAGE_TAG2, we can either use this, or use a global
        if (i > 0)
            UpdateSend(i-1) ;
            sys_SetTimer(TIMER0,500);                       // first repeat after 500ms
            sys_SetTimerEvent(TIMER0,RepeatDown);
        endif
    else                                                    // release
        sys_SetTimer(TIMER0,0);                             // just stop the timer
    endif
endfunc

func RepeatDown()
    var i ;
    i := img_GetWord(hndl, iLeddigits0, IMAGE_TAG2) ;
    if (i > 0)
        UpdateSend(i-1) ;
    endif
    sys_SetTimer(TIMER0,100);                               // subsequent repeats after 100ms
endfunc
